Subject: Re: bug#76136: 30.0.93; next-single-char-property-change

From: Daniel Mendler <[email-masked]>
Date: Sat, 08 Feb 2025 00:51:54 +0100

Psionic K <[email-masked]> writes:

> This situation has been somewhat consistently reachable while running
> GPTel's tool use overlay right after contents have been inserted by
> the streaming chat request.  Jinx will be looking for the property
> changes to decide where to spell check.  The interface becomes mostly
> non-responsive to any commands including ESC ESC ESC.  Tooltips etc
> are responsive.  Workaround is disable jinx.

The problem was that Jinx could get stuck in an endless loop when the
buffer size is changed somehow at the same time from another process.
Can you please check if this problem is still present with the newest
Jinx version 1.12? I have fixed this problem (or a related one) about
half a year ago. Only Jinx versions 1.8 and older should be affected.

Nevertheless it would be interesting to understand why Emacs is stuck in
this case and why you cannot interrupt the endless loop. Maybe
inhibit-quit is set during the loop?

Daniel